
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "pylon-9_9"
	actor[cp_model_dir]			= "rooms"
	actor[cp_model_name]		= "pylon-5_2"

	actor[cp_actor_type]			= cat_ground
	actor[cp_launch_hue_shift] = pcolor

	set_pylon_bitmap_swap()

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "scale150", 100.0, 200.0, 0.0, 0.0 )
--	c_add_particle_to_anim( "pulse", "fin1", "splurt1" )
